package com.cpms.project.plant.mapper;

import java.util.List;
import com.cpms.project.plant.domain.TMtContent;

/**
 * 装置空白会议Mapper接口
 *
 * @author ruoyi
 * @date 2023-08-03
 */
public interface TMtContentMapper
{
    /**
     * 查询装置空白会议
     *
     * @param id 装置空白会议主键
     * @return 装置空白会议
     */
    public TMtContent selectTMtContentById(Long id);

    /**
     * 查询装置空白会议列表
     *
     * @param tMtContent 装置空白会议
     * @return 装置空白会议集合
     */
    public List<TMtContent> selectTMtContentList(TMtContent tMtContent);
    public List<TMtContent> selectContentList(TMtContent tMtContent);

    /**
     * 新增装置空白会议
     *
     * @param tMtContent 装置空白会议
     * @return 结果
     */
    public int insertTMtContent(TMtContent tMtContent);

    /**
     * 修改装置空白会议
     *
     * @param tMtContent 装置空白会议
     * @return 结果
     */
    public int updateTMtContent(TMtContent tMtContent);

    /**
     * 删除装置空白会议
     *
     * @param id 装置空白会议主键
     * @return 结果
     */
    public int deleteTMtContentById(Long id);

    /**
     * 批量删除装置空白会议
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTMtContentByIds(Long[] ids);
}
